POST /api/v2/withdrawal/crypto HTTP/1.1
Host: app.alphapo.net
X-Processing-Key: text
X-Processing-Signature: text
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"currency": "BTC",
"address": "string",
"tag": null,
"amount": 0,
"foreign_id": "string",
"end_user_reference": "string"
}{
"data": {
"id": 678388,
"foreign_id": "user_2317",
"end_user_reference": "guest_user17",
"type": "withdrawal_exchange",
"status": "processing",
"amount": "25.00000000",
"sender_amount": "25.00000000",
"sender_currency": "EUR",
"receiver_currency": "BTC",
"receiver_amount": "0.000015"
}
}POST /api/v2/withdrawal/crypto HTTP/1.1
Host: app.alphapo.net
X-Processing-Key: text
X-Processing-Signature: text
Content-Type: application/json
Accept: */*
Content-Length: 161
{
"currency": "BTC",
"address": "string",
"tag": null,
"amount": 0,
"foreign_id": "string",
"end_user_reference": "string"
}{
"data": {
"id": 678388,
"foreign_id": "user_2317",
"end_user_reference": "guest_user17",
"type": "withdrawal_exchange",
"status": "processing",
"amount": "25.00000000",
"sender_amount": "25.00000000",
"sender_currency": "EUR",
"receiver_currency": "BTC",
"receiver_amount": "0.000015"
}
}convert_to parameter.
The end_user_reference parameter is used to group, track and analyse transactions associated with a specific customer. To prevent transactions from getting delayed or cancelled, always make sure to include the correct ID. The ID must not contain any personal or identifying customer data.Your API key.
The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.
The ISO code of the currency you want to withdraw. For a list of all available currencies, see Supported currencies.
Cryptocurrency address where you want to send funds.
Amount to withdraw.
x >= 0Unique ID of the withdrawal request.
Permanent ID of the customer in your system. Must not contain personal data, such as the user's name or email address. Include this customer's data in the sender_data object.
255If you want to automatically convert all deposits to a certain currency, specify it here. For a list of all available currencies, see Supported currencies.
If you are withdrawing XRP, a tag/memo is required. If you withdraw XRP without including a tag/memo, the funds may be lost.
If you want to send a specific amount in the target currency (convert_to), use this parameter. You can only specify either amount_to or amount.
OK
Show child attributes
Was this page helpful?